Welcome!

This community is for professionals and enthusiasts of our products and services. Share and discuss the best content and new marketing ideas, build your professional profile and become a better marketer together.

0

Error instalando modulo facturacion Chilena

por
Sven
en 09-09-19 02:16 43 vistas

Hola! Al intentar Instalar el módulo en odoo 12 con docker, con los requirements instalados, y los otros 2 módulos de requisito instalados, se presenta el siguiente problema:

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 758, in parse

    self._tags[rec.tag](rec, de, mode=mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 446, in _tag_act_window

    self.env['ir.actions.act_window']._load_records([data], self.mode == 'update')

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3865, in _load_records

    records = self._load_records_create([data['values'] for data in to_create])

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3779, in _load_records_create

    return self.create(values)

  File "<decorator-gen-37>", line 2, in create

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 238, in create

    return super(IrActionsActWindow, self).create(vals_list)

  File "<decorator-gen-35>", line 2, in create

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 59, in create

    res = super(IrActions, self).create(vals_list)

  File "<decorator-gen-3>", line 2, in create

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3560, in create

    records = self._create(data_list)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3692, in _create

    records._validate_fields(name for data in data_list for name in data['stored'])

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 1108, in _validate_fields

    check(self)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 141, in _check_model

    raise ValidationError(_('Invalid model name %r in action definition.') % action.res_model)

odoo.exceptions.ValidationError: ("Nombre de modelo 'sii.dte.validar.wizard' no valido en la definición de la acción.", None)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 656, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 314, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise

    raise value

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 698, in dispatch

    result = self._call_function(**self.params)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 346, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper

    return f(dbname, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 941, in __call__

    return self.method(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/http.py", line 519, in response_wrap

    response = f(*args, **kw)

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 966, in call_button

    action = self._call_kw(model, method, args, {})

  File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 954, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 749, in call_kw

    return _call_kw_multi(method, model, args, kwargs)

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 736, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "<decorator-gen-61>", line 2, in button_immediate_install

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 74, in check_and_log

    return method(self, *args, **kwargs)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 445, in button_immediate_install

    return self._button_immediate_function(type(self).button_install)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 561, in _button_immediate_function

    modules.registry.Registry.new(self._cr.dbname, update_module=True)

  File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new

    odoo.modules.load_modules(registry._db, force_demo, status, update_module)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 421, in load_modules

    loaded_modules, update_module, models_to_check)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 313, in load_marked_modules

    perform_checks=perform_checks, models_to_check=models_to_check

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 222, in load_module_graph

    load_data(cr, idref, mode, kind='data', package=package, report=report)

  File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 68, in load_data

    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 802, in convert_file

    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 865, in convert_xml_import

    obj.parse(doc.getroot(), mode=mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 764, in parse

    exc_info[2]

  File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 86, in reraise

    raise value.with_traceback(tb)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 758, in parse

    self._tags[rec.tag](rec, de, mode=mode)

  File "/usr/lib/python3/dist-packages/odoo/tools/convert.py", line 446, in _tag_act_window

    self.env['ir.actions.act_window']._load_records([data], self.mode == 'update')

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3865, in _load_records

    records = self._load_records_create([data['values'] for data in to_create])

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3779, in _load_records_create

    return self.create(values)

  File "<decorator-gen-37>", line 2, in create

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 238, in create

    return super(IrActionsActWindow, self).create(vals_list)

  File "<decorator-gen-35>", line 2, in create

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 59, in create

    res = super(IrActions, self).create(vals_list)

  File "<decorator-gen-3>", line 2, in create

  File "/usr/lib/python3/dist-packages/odoo/api.py", line 452, in _model_create_multi

    return create(self, arg)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3560, in create

    records = self._create(data_list)

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 3692, in _create

    records._validate_fields(name for data in data_list for name in data['stored'])

  File "/usr/lib/python3/dist-packages/odoo/models.py", line 1108, in _validate_fields

    check(self)

  File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_actions.py", line 141, in _check_model

    raise ValidationError(_('Invalid model name %r in action definition.') % action.res_model)

odoo.tools.convert.ParseError: "Nombre de modelo 'sii.dte.validar.wizard' no valido en la definición de la acción.

None" while parsing /mnt/extra-addons/l10n_cl_fe/views/mail_dte.xml:215, near

<act_window id="action_masive_validate" multi="True" key2="client_action_multi" name="Validar Documentos" res_model="sii.dte.validar.wizard" src_model="account.invoice" view_mode="form" target="new" view_type="form"/>

Hola!,

parece ser que hay algo mal hecho con los nombres de archivo o algún documento faltante, verificaron si es la última versión descargada desde gitlab?,

Daniel Santibáñez Polanco
de 09-09-19 10:02

0
Sven
En 09-09-19 18:17

Correcto, realicé una instalación limpia y funciona.

Pregunta:

 1- Al crear un nuevo cliente, determinar el tipo de documento como RUT e ingresar el rut, los datos no se autocompletan. ¿Es normal?

Al revisar los Logs de Odoo no se ve ningún problema.

Saludos!


Sven


Mantener informado

Acerca de esta comunidad

Esta comunidad Relacionada a Odoo y la Facturación electrónica Chilena.
Cualquier consulta pública sobre los módulos abiertos se puede hacer aquí
Lea los lineamientos

Herramientas de las preguntas

7 seguidor(es)

Estadísticas

Preguntado: 09-09-19 02:16
Visto: 43 veces
Última actualización: 09-09-19 18:17